RTEMS: cpukit/include/rtems/io.h File Reference

| RTEMS 5.4-rc2

Loading...
Searching...
No Matches
Data Structures | Typedefs | Functions
io.h File Reference

Classic Input/Output Manager API. More...

`#include <rtems/rtems/status.h>`

Go to the source code of this file.

## Data Structures
struct | rtems_driver_address_table
struct | rtems_driver_name_t

## Typedefs
typedef uint32_t | rtems_device_major_number
typedef uint32_t | rtems_device_minor_number
typedef rtems_status_code | rtems_device_driver
typedef rtems_device_driver(* | rtems_device_driver_entry) (rtems_device_major_number, rtems_device_minor_number, void *)

## Functions
rtems_status_code | rtems_io_initialize (rtems_device_major_number major, rtems_device_minor_number minor, void *argument)
| IO driver initialization.
rtems_status_code | rtems_io_open (rtems_device_major_number major, rtems_device_minor_number minor, void *argument)
| Opening for the IO manager.
rtems_status_code | rtems_io_close (rtems_device_major_number major, rtems_device_minor_number minor, void *argument)
| Closing for the IO manager.
rtems_status_code | rtems_io_read (rtems_device_major_number major, rtems_device_minor_number minor, void *argument)
| Reading for the IO manager.
rtems_status_code | rtems_io_write (rtems_device_major_number major, rtems_device_minor_number minor, void *argument)
| Writing for the IO manager.
rtems_status_code | rtems_io_control (rtems_device_major_number major, rtems_device_minor_number minor, void *argument)
| Control for the IO manager.
rtems_status_code | rtems_io_lookup_name (const char *name, rtems_driver_name_t *device_info) RTEMS_DEPRECATED
Device Driver Maintainance
rtems_status_code | rtems_io_driver_io_error (rtems_device_major_number major, rtems_device_minor_number minor, void *arg)
| Returns `RTEMS_IO_ERROR`.
rtems_status_code | rtems_io_register_driver (rtems_device_major_number major, const rtems_driver_address_table *driver_table, rtems_device_major_number *registered_major)
| Registers and initializes the device with the device driver table driver_table and major number major.
rtems_status_code | rtems_io_unregister_driver (rtems_device_major_number major)
| Unregister a driver from the device driver table.
rtems_status_code | rtems_io_register_name (const char *device_name, rtems_device_major_number major, rtems_device_minor_number minor)
| Registers the name device_name in the file system for the device with number tuple major and minor.

## Detailed Description

Classic Input/Output Manager API.

This file emulates the old Classic RTEMS IO manager directives which register and lookup names using the in-memory filesystem.

## Function Documentation

## ◆ rtems_io_lookup_name()

rtems_status_code rtems_io_lookup_name | ( | const char * | name,
|  | rtems_driver_name_t * | device_info
| ) |  |

Deprecated:
  Use stat() instead.